Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022211
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-11-05 17:272012-11-27 11:05
ReporterngarciaView Statuspublic 
Assigned Toshankarb 
PriorityurgentResolutionfixedFixed in Version3.0MP18
StatusclosedFix in branchFixed in SCM revisionc0bf245121ad
ProjectionnoneETAnoneTarget Version3.0MP18
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022211: Grid filters are not working well in columns with DateTime reference

DescriptionGrid filters are not working well in columns with DateTime reference
Steps To ReproduceAs group admin role:
   Go to Product - Transactions tab
   You should have at least one record with Transaction Process Date of today and one with Transaction Process Date of yesterday
   (You maybe need to change the trxprocessdate column of the m_transaction table from the DB)
   Click on the filter and select:
      From: today
      To: today
   Notice that records with Transaction Process Date of yesterday also appear
   Click on the filter and select:
      From: dd-mm-yyyy (today's date)
      To: dd-mm-yyyy (today's date)
   Notice that records with Transaction Process Date of today do not appear
   
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0054416)
hgbot (developer)
2012-11-21 10:48

Repository: erp/devel/pi
Changeset: c0bf245121adc43a8450b374927adde8afaea6f2
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Nov 20 10:43:12 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c0bf245121adc43a8450b374927adde8afaea6f2 [^]

Fixes Issue 0022211: Grid filters are not working with DateTime reference

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0054443)
hudsonbot (developer)
2012-11-21 19:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/368bcd7fb0a0 [^]

Maturity status: Test
(0054516)
AugustoMauch (developer)
2012-11-27 11:05

Code reviewed and verified in pi@b43e48d603a9

- Issue History
Date Modified Username Field Change
2012-11-05 17:27 ngarcia New Issue
2012-11-05 17:27 ngarcia Assigned To => AugustoMauch
2012-11-05 17:27 ngarcia Modules => Core
2012-11-05 18:06 ngarcia Issue Monitored: networkb
2012-11-19 10:43 shankarb Status new => scheduled
2012-11-19 10:43 shankarb fix_in_branch => pi
2012-11-20 10:42 shankarb Assigned To AugustoMauch => shankarb
2012-11-21 10:48 shankarb Review Assigned To => AugustoMauch
2012-11-21 10:48 shankarb fix_in_branch pi =>
2012-11-21 10:48 shankarb Issue Monitored: AugustoMauch
2012-11-21 10:48 hgbot Checkin
2012-11-21 10:48 hgbot Note Added: 0054416
2012-11-21 10:48 hgbot Status scheduled => resolved
2012-11-21 10:48 hgbot Resolution open => fixed
2012-11-21 10:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c0bf245121adc43a8450b374927adde8afaea6f2 [^]
2012-11-21 19:58 hudsonbot Checkin
2012-11-21 19:58 hudsonbot Note Added: 0054443
2012-11-27 11:05 AugustoMauch Note Added: 0054516
2012-11-27 11:05 AugustoMauch Status resolved => closed
2012-11-27 11:05 AugustoMauch Fixed in Version => 3.0MP18


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker